#include<stdio.h>
int gaus(int n) {
	if (n == 1)return 1;
	return gaus(n - 1) + n;
}
bool f(int n, int m, int k) {
	int b[k];
	for (int i = 0; i < k; i++) {
		b[i] = 0;
	}
	for (int i = 0; i < n; i++) {
		b[i % k]++;
	}
	int s = 0;
	for (int i = 0; i < k; i++) {
		s += gaus(b[i]);
	}
	return s <= m;
}
int main() {
	int t, a[10][3];
	scanf("%d", &t);
	int i;
	for (i = 0; i < t; i++) {
		scanf("%d%d%d", &a[i][0], &a[i][1], &a[i][2]);
	}
	for (i = 0; i < t; i++) {
		if (f(a[i][0], a[i][1], a[i][2])) {
			printf("Tak\n");
		}
		else {
			printf("Nie\n");
		}
	}
}